declare_plugin("FC 4 Dynamics",
{
image     	 = "FC3.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

fileMenuName = _("FC4"),
version		 = "1.2.2 beta",
state		 = "installed",
info		 = _("Lock On: Flaming Cliffs 4 (FC4) is the continuation of the Flaming Cliffs series that features the Su-17M4."),

Skins	= 
	{
		{
			name	= "FC4",
			dir		= "Skins/1"
		},
	},
Missions =
	{
		{
			name		= _("FC4"),
			dir			= "Missions",
			CLSID		= "{BE17BAE1-A282-405E-9536-61AF644AB292}",	
            download	= "http://www.digitalcombatsimulator.com/en/downloads/video/fc3/",
			download_ru	= "http://www.digitalcombatsimulator.com/ru/downloads/video/fc3/"
		},
	},
	
LogBook =
	{
		{
			name		= _("Su-17M4"),
			type		= "Su-17M4",
		
		},
	},

	--[[
Options =
	{
		{
			name		= _("FC4"),
			nameId		= "FC4",
			dir			= "Options",
			CLSID		= "{8A1FFFA5-D842-4EF8-8F65-EA9FDF40AC6E}"
		},
	},]]
	
InputProfiles =
{
    ["Su-17M4"] = current_mod_path .. '/Input/Su-17M4',
},

binaries 	 =
{
'FC3',
},


})
----------------------------------------------------------------------------------------

--mount_vfs_texture_path("Bazar/World/textures/CockpitsPlatinumBMP")
--mount_vfs_texture_path("Bazar/World/textures/CockpitsTextures")
mount_vfs_texture_path("Bazar/World/textures/CockpitsHDTextures")

--test F-15C cockpit 
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/F-15C-CPT-TEXTURES1")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Resources/Model/Shape")
mount_vfs_liveries_path (current_mod_path ..  "/Liveries")

make_flyable('Su-17M4', nil, nil, current_mod_path..'/Comm/Su-17M4.lua')
----------------------------------------------------------------------------------------
plugin_done()
